org.jboss.netty.handler.codec.spdy

## Interface SpdySynReplyFrame

All Superinterfaces:
  SpdyHeaderBlock

All Known Implementing Classes:
  DefaultSpdySynReplyFrame

    public interface SpdySynReplyFrame
    extends SpdyHeaderBlock

A SPDY Protocol SYN_REPLY Control Frame

### Method Summary

Methods
`int` `getStreamId()` Returns the Stream-ID of this frame.
`int` `getStreamID()` Deprecated. Use `getStreamId()` instead.
`boolean` `isLast()` Returns `true` if this frame is the last frame to be transmitted on the stream.
`void` `setLast(boolean last)` Sets if this frame is the last frame to be transmitted on the stream.
`void` `setStreamId(int streamID)` Sets the Stream-ID of this frame.
`void` `setStreamID(int streamID)` Deprecated. Use `setStreamId(int)` instead.

### Methods inherited from interface org.jboss.netty.handler.codec.spdy.SpdyHeaderBlock

`addHeader, clearHeaders, containsHeader, getHeader, getHeaderNames, getHeaders, getHeaders, isInvalid, removeHeader, setHeader, setHeader, setInvalid`

### Method Detail

#### getStreamID

    @Deprecated
    int getStreamID()

Deprecated. Use `getStreamId()` instead.

#### getStreamId

    int getStreamId()

Returns the Stream-ID of this frame.

#### setStreamID

    @Deprecated
    void setStreamID(int streamID)

Deprecated. Use `setStreamId(int)` instead.

#### setStreamId

    void setStreamId(int streamID)

Sets the Stream-ID of this frame. The Stream-ID must be positive.

#### isLast

    boolean isLast()

Returns `true` if this frame is the last frame to be transmitted on the stream.

#### setLast

    void setLast(boolean last)

Sets if this frame is the last frame to be transmitted on the stream.